Main Configuration Window (SPC mode)

This is the opening window of the editor in SPC mode. It is divided into eight main sections

1. Toolbar

2. Controller type frame

3. Outputs frame

4. Projector frame

5. Power down frame

6. Control Input frame

7. Lock frame

8. Lock Sequence frame

A different set of frames are displayed In SC-AMP mode .


SPC/SC-AMP configuration (.IKC) file

The projector configuration is saved within the SPC/SC-AMP configuration (.IKC) file, so the file can be distributed without the need of the projector having to be on the destination PC.

If a file SPC/SC-AMP configuration (.IKC) file is opened and contains a projector not in the database, that projector will be automatically added to the database. If the projector has the same manufacture name and model number as one in the database but is NOT the same as the one in the database the replace projector window will be displayed.

The options are

1.Replace projector in the configuration with the one in my data base.

2.Replace the projector in my data base with the one in the configuration.

3.Add the projector in this configuration to my data base under a new manufacturer/model. If this option is selected then the New Projector Manufacturer/Model window will be displayed.

4.Keep the projector in the configuration and make no changes in my database.

Double clicking a SPC/SC-AMP configuration (.IKC) file in the windows explorer will open the SPC/SC-AMP editor with the file loaded.


Toolbar

Start a new SPC/SC-AMP configuration.

Open an existing SPC configuration file .

Save the configuration to the current SPC configuration file .

Save the current configuration to a new SPC configuration file .

Edit the projector settings database.

Downloads the current configuration to a SPC panel.

Displays this help file.

Displays information about this program in the About window .

Close this program.


Controller Type

This defines the target SPC/SC-AMP panel type. A configuration can only be downloaded into the appropriate panel type.


Outputs frame

The defines the operating mode of the outputs of the SPC panel. They can be used in four modes.

1. Disabled, in this mode the outputs as disabled.

2.Use to control screen. In this mode the outputs are used to control a motorised screen via external relays. The raise and lower times can be set separately between 1 and 255 seconds. In normal operation the screen will be lowered when the projector is turned on and raised when the projector is turned off.

A further option is available on the SPC7 and SPC6 panels where the volume up/down buttons can be used to raise and lower the screen when the projector is turned off, this can be useful when the screen is also used for overhead/ slide or film projectors, to enabled this facility ensure that the "Use volume buttons to raise / lower when projector off" box is ticked.

3.Use to control projector lift and screen. In this mode the the down output is used to control a projector lift, this output can also be used to control a screen down input. First the down output turns on lowering the lift, the projector is then signalled on after the lift has stopped. At switch off the projector is signalled off, when cool the down output is turned off causing the lift to rise. Once the lift is raised the up output is turned on for the screen raise period.

4.Use to control projector power and screen. In this mode the the down output is used to control a relay providing the projector power feed, this output can also be used to control a screen down input. First the down output turns on powering up the projector, the projector is then signalled on after the projector is powered up. At switch off the projector is signalled off, when cool the down output is turned off causing the projector power to turn off. The up output is then turned on for the screen raise period.

5.Use to control volume. In this mode the outputs are used to control an external volume control such as the Ikon MPE-VC. If this option is selected projector RS232 are disabled.


Projector frame

This displays the projector type assigned to this configuration, the first line indicates the manufacturer and the second line indicates the model name . To change/select the projector type just click on the projector frame and list of all the projectors will pop-down below the frame.

To select the projector you wish to use just move the mouse cursor up or down the list until the desired projector is hi lighted, then click on it. As each projector is hi lighted the manufacturer, model and notes for that projector will be displayed to the right of the projector list. Moving the mouse cursor outside the projector list will hide the list without changing the projector assigned to the current configuration.


Powerdown frame

The SPC/SC-AMP can be configure to conserve energy by powering down the projector, and amplfier in the case of the SC-MP, if no button is pressed for a number of hours. The powerdown period can be defined from one to ten hours.


Control Input frame

The defines the operating mode of the control input of the SPC panel. They can be used in four modes.

1.Disabled, the input is ignored by the SPC.

2.Use with enable key switch, in this mode the input is used to lock the SPC panel. Whilst the input is open circuit all the push buttons of the SPC are disabled, if the input is pulled low to 0V (via a key switch) the SPC pushbuttons operate normally. Whilst the SPC is disabled pressing any button on the panel will cause all the button LEDs to illuminate but no operation will take place. The SPC panel can also be locked using several internal means see lock frame .

3.Use with external power down, in this mode if the input is pulled low to 0V via an external contact the projector will be powered down and the screen/lift raised.

4.Use as room PIR power down, in this mode the SPC is used in conjunction with an external passive infra-red motion detector (PIR). If the room remains empty for more than the timeout period the SPC will power down the projector and raise the screen/lift. The timeout period is restarted each time the PIR detects motion and can be set between 1 and 255 minutes. An option is provided for polarity of the PIR output i.e. low or high whilst motion is detected and a detection threshold voltage, this should be set midway between the voltage for no motion and the voltage when motion is detected.


Lock frame (SPC)

The operation of the SPC panel can be locked from inadvertent or malicious operation in several ways. One is to use an external key switch via the control input . All the other options do not require external equipment and are set using the lock control frame options. When locke any SPC button will cause all the button LED's to illuminate but no action will take place. To unlock the panel you will need to use the lock/unlock sequence defined by the Lock Sequence frame . These are

1.Lock on front panel off, the SPC is locked after the defined period (1-255 minutes) after the projector is turned of from the front panel.

2.Lock using button sequence, the panel can be locked by using the Lock Sequence frame .

3.Lock after no button power down, the panel is locked after a power down caused by the no button press timeout .

4.Lock on room empty, the SPC is locked after the defined period (1-255 minutes) after the projector is turned off because the SPC panel has detected the room is empty using the control input .

5.Lock on external power down, the SPC is locked immediately after the panel is signalled to power down using the control input .


Lock Sequence frame (SPC Mode)

This is used to define the lock/unlock sequence used by the panel locking. The sequence requires four button presses these are defined in this frame. To start entering the lock sequence on the SPC panel the operator will need to hold the "Blank" button" for approximately 2 seconds the Data1/2, Video, Volume Up/Down buttons will the flash alternately with the blank button indicating that the SPC is in lock entry mode. The operator will then need to press the button defined in the sequence frame in their correct order.

On the SPC6 and SPC4 panels only the available pushbuttons will appear.

When locking the panel using "Lock using button sequence" (see Lock Control frame ), the SPC will cause the projector to blank at the start of entering the sequence but will return the projector to the input selected before lock entry was started once the correct sequence is entered.


Main Configuration Window (SC-AMP mode)

This is the opening window of the editor in SC-AMP mode. It is divided into nine main sections

1. Toolbar

2. Controller type frame

3. Volume control frame

4. Audio input control frame

5. Projector frame

6. Power down frame

7. Projector/audio inputs frame

8. Lock frame

9. Lock Sequence frame

A different set of frames are displayed In SPC mode .


Volume control frame

This frame defines the operation of the volume control of the SC-AMP. With it you can define the maximum and minimum levels that the volume up/down buttons can go between. Each press of the SC-AMP volume buttons will change the volume by "Step" dBs. The SC_AMP will power up at "Power up" dBs.


Audio input control frame

When the display being controlled by the SC-AMP is off, the panel can be configured to automatically turn on its amplifier when an audio signal is applied to the front panel jack socket and off after the audio has ceased for the defined period.


Projector/audio inputs frame

This frame configures which video sources are to be controlled by the SC-AMP, you can also define which audio source is associated with the front jack socket or the rear audio.


Lock frame (SC-AMP)

The operation of the SC-AMP panel can be locked from inadvertent or malicious operation in several ways. When locked pressing any SC-AMP button will cause all the button LED's to illuminate but no action will take place. To unlock the panel you will need to use the lock/unlock sequence defined by the Lock Sequence frame . These are

1.Lock on front panel off, the SC-AMP is locked after the defined period (1-255 minutes) after the projector is turned of from the front panel.

2.Lock using button sequence, the panel can be locked by using the Lock Sequence frame .

3.Lock after no button power down, the panel is locked after a power down caused by the no button press timeout .


Lock Sequence frame (SC-AMP Mode)

This is used to define the lock/unlock sequence used by the panel locking. The sequence requires four button presses these are defined in this frame. To start entering the lock sequence on the SC-AMP panel the operator will need to hold the "Blank" button" for approximately 2 seconds the Data1/2, Video, Volume Up/Down buttons will the flash alternately with the blank button indicating that the SPC is in lock entry mode. The operator will then need to press the button defined in the sequence frame in their correct order.

On the SPC6 and SPC4 panels only the available pushbuttons will appear.

When locking the panel using "Lock using button sequence" (see Lock Control frame ), the SPC SC-AMP cause the projector to blank at the start of entering the sequence but will return the projector to the input selected before lock entry was started once the correct sequence is entered.


Downloading

To down load a configuration to a SPC/SC-AMP panel the PC will need to be connected to the SPC/SC-AMP panel via a RS232 serial port and and the SPC/SC-AMP panel powered up.

Connections

Function PC 9 pin D-type SPC screw terminal

Transmit (TX) Pin 2 TX

Receive (RX) Pin 3 RX

Ground Pin 5 COM

(The pin numbers are moulded into all D-type connectors next to the physical pin)

Once connected click the download button [image] on the toolbar in the main configuration window .

The SPC/SC-AMP download window will appear.

The PC will then search Comm Ports 1 to 16 concurrently for SPC panels. On completion the window will report the status of all Comm Ports and any SPC/SC-AMP that were connected to the PC.

The PC needs to search each port at every possible baud rate/parity setting, this can take a significant time. If you wish to stop the search either because you entered download by accident or the panel you searching for has been found just click "Stop Finding".

If the panel you're trying to connect to is not displayed check its' serial connection and power supply then click "Find SPC's".

If any SPC/SC-AMP panels of the correct type for the current configuration the window will display.

To download the configuration just click on the label of the SPC/SC-AMP panel you wish to configure. The window will then display the download progress.

On completion the PC will display

Click on "OK" to finish. This will cause the SPC/SC-AMP panel to reset.


Projector Configuration

Projector configuration is done separately from the main configuration of the SPC/SC-AMP panel. The configuration comprises all the RS232 serial settings and strings and the warm up and cool down times.To edit an existing or create a new projector configuration click on the Edit button [image] on the toolbar in the Main Configuration window and the Projector Selector window will open.


Projector Selector

Projector Selector Window

The projector selector window allows maintenance of the editors projector database. It is divided into two sections the toolbar and the projector list. The projector list displays all the projectors in the database list by manufacturer and then model number. To locate a projector click on the manufacturer the list will then expand to display all the models of that manufacturer. Clicking on a model will hi light that model, double clicking on a model will display the Project Setup Window for that projector.

All the remaining functions of the window are called from the toolbar .


Projector Selector Toolbar

This toolbar provides all the function for the Projector selector.

Create new projector and open the Projector Setup Window..

Copy hi lighted projector.

Copy and delete hi lighted projector.

Paste copied projector. If the projector being pasted has the same manufacturer and model as one already in the database then the

New Projector Manufacturer/Model window will be displayed.

Deletes the hi lighted projector.

Open the Projector Setup Window for the hi lighted projector.

Export either the hi lighted projector or if a manufacturer is hi lighted all the projector listed under that manufacturer to a projector definition (.IKD) file .

Imports an projector definition (.IKD) file to the database.

Closes the Projector Selector Window and saves any changes to the database.


Projector Definition (.IKD) file

The Projector definition (.IKD) file contain one or more definitions of the projector configurations. IKD files can be loaded or exported from within the Projector Selector window or by double clicking an IKD file in the windows explorer.

If the IKD file contains a projector definition with the same manufacturer and model as one in the database the Replace/Add window will be displayed.

The options are

1.Replace the projector in my data base with this projector

2.Add this projector to my data base under a new manufacturer/model

3.Do not import this projector


Projector Setup Window

The setup window is divided into six sections.

1. Manufacturer and model number frame .

2. Serial messages frame .

3. Serial settings frames .

4. Notes frame .

5. Number of bytes frame .

6. Times frames .

Once all you have made all the entries/changes need click on the OK button to save the projector to the database. If you wish to abandon the changes click on the Cancel button.

Projectors are stored in the database by manufacturer/model number and only one entry is allowed for each manufacturer/model.


Manufacturer and model frame

This displays/allows entry of the manufacturer and model number of the current projector. Clicking on the triangle by the manufacturer will display a drop down list of all the current manufacturers.

Projectors are stored in the database by manufacturer/model number and only one entry is allowed for each manufacturer/model.


Serial Messages frame

This frame define all the messages available on the current projector.

The out going messages are

Serial enable/disable messages, some projectors require these to start and stop serial communications. The enable massage is sent before the projector power-up message and the disable message is sent after the power down message. To use these messages ensure that the "required" box is ticked.

Power on/off messages turn the projector on and off.

Data 1 message is used to select the first digital signal input.

Data 2 message is optional to select the second digital signal input. To enable this message ensure that the "available" box is ticked.

Video is the message used to select the video input of the projector, if a second video input is available tick the "available" box and enter the second string.

Blank on/off if the projector uses a single blank on/off toggle message tick only the first "available" box, if the projector uses different codes for blank on and blank off tick both "available boxes and enter both strings.

Volume codes control the projector volume if the projector uses a step up step down command just click the available box and enter both serial strings. If the projector requires an command with an embedded analogue command also tick the "uses level" box and enter the string in the volume up string.

If the projector requires messages that need to be sent continuously until a reply accepted reply is sent ensure the "requires reply" box is ticked for each message that requires a reply and then enter the reply message in the second serial string entry for that command.

If the projector can be powered down with a timeout built into the projector and the projector send a serial string to inform the SPC panel that this has occurred then ensure the External off "In use" box is ticked and enter the serial message.

Each serial message is displayed as a serial text string.


Serial Settings frames

This defines the RS232 serial settings of the projector.

The SPC panel can be set to operate with;

Baud rate 9K6, 19K2, 38K4, 57K6 and 115K2.

Stop bits 1 or 2.

Parity None, Even or Odd.


Notes frame

This displays / allows entry of the notes that will be displayed in the popup box when selecting a projector in the Main Configuration Window .


Number of bytes frame

This indicates the number of byte used to store all the current serial messages in the SPC panel, also displayed is the number of bytes remaining for further storage.


Serial Editor

The contents frame displays the value and display/edit mode for each byte in the messages.

Click and hold down the mouse left button on a mode box to display the mode list, then move the mouse up/down to select the byte display mode, then release the mouse button, the value box for that byte will now be displayed and edited in the selected display mode. "Variable" and "Ignore" mode types are only displayed in the appropriate messages. Selecting "variable" mode will open the Volume String Editor.

Clicking on a value box in ASCII,decimal,hexadecimal and binary modes will allow editing/entering the byte value. Clicking on a value in "variable" mode will open the Volume String Editor.

In control character mode click and hold down the left mouse button on the value box to display the control character grid, move the mouse to select the desired value and the release the mouse button.

The number of bytes in the message is set/displayed in lower left corner.

Click the "Test" button to open the Serial Test window .

Click the "Cancel" button to close the editor window without saving any changes.

Click the "Done" button to close the editor window saving any changes.


Serial Test Window

The Serial Test window allows testing of serial messages on the PC. The "message to be sent" is filled with ether the message double clicked in the Projector Setup window or that being edited in the Serial Editor .

To send the message select the port you wish to use in the port frame and then click the "Send" button. Any serial message received by the PC within one second of clicking the "Send" button will be displayed in the message received frame. If you wish to use this reply as the reply message to an out going message click "Copy Received Message" button then return to the Projector Setup window and paste the message into the appropriate "uses reply" serial string.

If the message being tested is an analogue volume message the volume settings frame will be displayed, this has the same functionality as the test frame in the Volume String Editor .


Volume String Editor

This window is used to setup serial volume messages for projectors that do not have volume step up/down messages but have "analogue" numeric volume control messages.

Analogue volume messages can be up to 4 bytes long and are sent instead of the selected byte in a volume message.

The value of the message is stepped up/down by the value entered in "Volume step" frame each press of the volume up/down buttons of the SPC panel. The minimum and maximum values are defined in the value range frame. If the minimum value is set as a negative value either a leading "+" or "-" will be included in the sent value.

An optional start volume can be defined in the start-up level frame, this is used every time the projector is turned on, if the "Use Power-down level" box is ticked the start level setting is ignored and the projector start volume will be that last used by the SPC panel.

The value can be sent either as a decimal value in ASCII characters i.e. "123", as Hexadecimal values in ASCII "1FF" or as a raw binary value.

If raw binary values are being sent and more than one byte is selected the order in which the byte values are sent can be set to either high is sent first or second. i.e. if the value being set is 127 decimal (102 in hex) and first byte is low is selected, the value will be sent as first byte value 1 and second byte 2, if first byte is high then 2 will be sent first and then 1.

Negative numbers for hexadecimal values are set/displayed in 2s complement,

i.e assuming 4 digit values

Decimal Hex

32767 7FFF

256 0100

10 000A

0 0000

-1 FFFF

-10 FFF6

-256 F000

-32767 8001

In decimal and hexadecimal messages the message can be between 1 and 4 byte long. In raw mode the message can be 1 or 2 bytes long.

The message format frame will display a message describing any errors in the current message, a message can only be stored if there are no errors.

The try frame can be used to display the message on screen. The "up"/"down" buttons will step up/down the value in the same manner as the SPC panel. The "Power up" button will display the start value.

The "Cancel" button will close the window without saving any changes.

The "Done" button will close the window saving all changes.


Control Characters

Mnemonic Value Description

"NUL" 0 Null

"SOH" 1 Start of heading

"STX" 2 Start of text

"ETX" 3 End of text

"EOT" 4 End of transmission

"ENQ" 5 Enquiry

"ACK" 6 Acknowledge

"BEL" 7 Bell

"BS" 8 Backspace

"HT" 9 Horizontal tab

"LF" 10 Line feed

"VT" 11 Vertical tab

"FF" 12 Form fee

"CR" 13 Carriage return

"SO" 14 Shift out

"SI" 15 Shift in

"DLE" 15 Data link escape

"DC1" 17 Device control 1, (XON)

"DC2" 18 Device control 2

"DC3" 19 Device control 3, (XOFF)

"DC4" 20 Device control 4

"NAK" 21 Negative acknowledge

"SYN" 22 Synchronise

"ETB" 23 End of transmission block

"CAN" 24 Cancel line

"EM" 25 End of medium

"SUB" 26 Substitute

"ESC" 27 Escape

"FS" 28 File separator

"GS" 29 Group separator

"RS" 30 Record separator

"US" 31 Unit separator


About window

Displays information about this program.

The window also includes web page and email links to Ikon AVS Ltd.

Click "Close" to close this window.


License Agreement

These Terms apply to any of the software developed by Ikon AVS Ltd.

BY DOWNLOADING AND/OR USING SOFTWARE FROM IKON AVS, THE INDIVIDUAL OR ENTITY LICENSING THE PRODUCT ("LICENSEE") IS CONSENTING TO BE BOUND BY AND IS BECOMING A PARTY TO THIS AGREEMENT. IF LICENSEE DOES NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, THE LICENSEE MUST NOT INSTALL OR USE ANY OF THE SOFTWARE DEVELOPED BY IKON AVS LTD.

LICENSE TERMS

Ikon AVS hereby grants the Licensee and the Licensee accepts a nonexclusive, non-transferrable license to use the Software provided by Ikon AVS.

The Software is designed as a software development and customisation tool. As such Ikon AVS cannot and does not guarantee any results of use of the Software or that the Software will operate error free and the Licensee acknowledges that any development that they perform using the Software or Host Application is done entirely at their own risk.

The Software is licensed and not sold. Ikon AVS retains ownership of the Software and all copies of the Software and reserves all rights not expressly granted in writing.

OTHER LIMITATIONS

Except as otherwise expressly permitted in this Agreement, or in another Ikon AVS agreement to which Licensee is a party such as a distribution agreement, Licensee may not: (i) decompile, disassemble, reverse engineer, or otherwise attempt to derive the source code for the Product (except to the extent applicable laws specifically prohibit such restriction); (ii) redistribute, encumber, sell, rent, lease, sublicense, or otherwise transfer rights to the Product; (iii) remove or alter any trademark, logo, copyright or other proprietary notices, legends, symbols or labels in the Product.

TERMINATION

Without prejudice to any other rights, Ikon AVS may terminate this Agreement immediately upon notice if the Licensee fail to comply with the terms and conditions of this Agreement. In such event, you must destroy all copies of the Software and all of its component parts.

PROPRIETARY RIGHTS

Title, ownership rights, and intellectual property rights in the Product shall remain in Ikon AVS Ltd. Licensee acknowledges such ownership and intellectual property rights and will not take any action to jeopardize, limit or interfere in any manner with Ikon AVS' ownership of or rights with respect to the Product. The Product is protected by copyright and other intellectual property laws and by international treaties. Title and related rights in the content accessed through the Product is the property of the applicable content owner and is protected by applicable law. The License granted under this Agreement gives Licensee no rights to such content.

IKON AVS LIMITED WARRANTY

The product is provided free of charge, and, therefore, on an "as is" basis, without warranty of any kind, including without limitation the warranties that it is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the product is borne by licensee. Should the product prove defective in any respect, licensee and not Ikon AVS or its suppliers assumes the entire cost of any service and repair. This disclaimer of warranty constitutes an essential part of this agreement. No use of the product is authorised hereunder except under this disclaimer


WEEE

Under the Waste Electrical & Electronic Equipment (WEEE) Directive & Regulations, when customers buy new electronic equipment from Ikon AVS they are entitled to:-

1. Send old equipment back for recycling on a one-for-one, likefor-like basis.

2. Send the new equipment back for recycling when it ultimatelybecomes waste.

Recycling instructions and documentation for both Customers and Recyclers is available on the Ikon website.

Producer Registration Number: WEE/HD0052TQ


Simple Projector Controllers

The Ikon SPC series are cost effective, entry-level control interfaces for display devices including LCD and DLP Projectors as well as LCD and Plasma displays.

The controllers features a bi-directional RS232 interface for control over the display and therefore it allows handshaking to ensure synchronisation of the devices.

Two open collector outputs are fitted which can be used for the control of electric screens via external relays or linked to the Ikon MPE-VC for volume control.

All SPC controllers feature an orange back lit power button along with two or three green back lit input select buttons and a blue back lit picture blank button. On the SPC 6 & 7 two additional back lit buttons are provided for volume raise and lower. The SPC-D7 is the same as the SPC 7 but will fit a DIN style backbox and plate.

To program the unit it is only necessary to download a library module for complete control over the display, although full customisation over input selection, warm up & cool down times etc is provided. The installer can also set up a four-button sequence to lock and unlock the panels, operation.

The SPC series are fabricated on a 50mm Euro module allowing their use in a wide range of wall panels in UK, European, UK and NZ formats. This format also allows the easy combining of control and input panels as well as use in the Ikon range of desk modules.

Connection to the SPC is via a 10 way 3.5mm pitch detachable screw terminal block.

All the SPC controllers are supplied with a 12V power supply.

A typical application is shown below.

Specification


SPC Specification

Switches: 4(SPC4), 6(SPC6) or 7(SPC7) switches with internal LED illumination.

RS232 : Baud rate 9K6, 19K2, 38K4, 57K6 or 115K2

Data 8 bit.

1, 2 stop bits

Parity None, Odd or Even

Input : Input for External switch / infra-red sensor with invert and analogue offset.

Input voltage range of 0V to 5V, an internal 10Kohm pull-up resistor to 5V is provided to operate with voltage free contact switches.

Outputs : 2 x Open collector outputs for screen / volume control, 100mA @ 12V. Outputs are provide with "recirc" diodes to the 12V supply.

Connector : 10 way 3.5mm pitch detachable screw terminals.

Power : 12V DC @ 30mA + external relay current.

12V, 300mA power supply included.

Size: 50mm x 50mm x 25mm deep


SPC Connector

All connections to the SPC panel are via a 10 way 3.5mm pitch detachable screw terminals.

The connections are split into four groups.

1. RS232 , bi-directional serial communications

2. PIR , room empty, external power down and panel locking facilities.

3. Screen Relays , control of screens, projector lift or volume control.

4. PWR , power connection.


SPC RS232

The SPC panels comprise a bi-directional RS232 interface for control of the display.

Settings

Baud rate 9K6, 19K2, 38K4, 57K6 or 115K2

Data 8 bit.

1, 2 stop bits

Parity None, Odd or Even

Because the SPC panel has b-directional communications it can be used to control projectors that require a serial message to be continuously resent until the projector sends and appropriate command accepted reply. It also allow the SPC panel to respond to a projector powering down due to the projectors timeout.


SPC Control Input (PIR)

Specification

The control input can be used to sense a passive infra-red sensor, volt free contact, or keyswitch. The input can operate within input voltages between 0V and 5V and is provided with an internal 10Kohm pull-up resistor.

The input can be used in four modes

1.Disabled, the input is ignored by the SPC.

2.Enable key switch. in this mode the input is used to lock the SPC panel. Whilst the input is open circuit all the push buttons of the SPC are disabled, if the input is pulled low to 0V (via a key switch) the SPC pushbuttons operate normally. Whilst the SPC is disabled pressing any button on the panel will cause all the button LEDs to illuminate but no operation will take place.

3.External power down, in this mode if the input is pulled low to 0V via an external contact the projector will be powered down and the screen/lift raised.

4.Room empty detection, in this mode the SPC is used in conjunction with an external passive infra-red motion detector (PIR). If the room remains empty for more than the timeout period the SPC will power down the projector and raise the screen/lift. The timeout period is restarted each time the PIR detects motion and can be set between 1 and 255 minutes. An option is provided for polarity of the PIR output i.e. low or high whilst motion is detected and a detection threshold voltage, this should be set midway between the voltage for no motion and the voltage when motion is detected.

The operating mode of the input is configured using the Control Input Frame in the Main Configuration Window of the SPC Editor.


SPC Outputs

Specification

Two control outputs are provided on the SPC panels, these are open collector type capable of sinking 100mA. Each output is provided with a "recirc" diode to 12V so that relay coils can be directly connected to the output. If the relay your using has a "recirc" diode fitted across the coil ensure it is connected the correct way round or the SPC may be damaged.

The outputs can operate in four modes.

1. Disabled, in this mode the outputs as disabled.

2.Use to control screen. In this mode the outputs are used to control a motorised screen via external relays. The raise and lower times can be set separately between 1 and 255 seconds. In normal operation the screen will be lowered when the projector is turned on and raised when the projector is turned off.

A further option is available on the SPC7 and SPC6 panels where the volume up/down buttons can be used to raise and lower the screen when the projector is turned off, this can be useful when the screen is also used for overhead/ slide or film projectors, to enabled this facility ensure that the "Use volume buttons to raise / lower when projector off" box is ticked.

3.Use to control projector lift and screen. In this mode the operation the down output is used to control a projector lift. To ensure that the projector lamp is not damaged by motion of the projector lift, the projector is only turned off after the lift is fully down and that the lamp is fully cooled before the lift is raised. The output can also be used to lower a screen, the up output operates in the same manner as mode 2.

4.Use to control projector mains power and screen. In this mode the operation the down output is used to control the projector mains power. The timing is similar to mode 3 which ensures that the projector electronics are fully powered up before serial comunication is started, alse the projector is fully controlled off into a known state before the projector power is turned off. The output can also be used to lower a screen, the up output operates in the same manner as mode 2.

5.Use to control volume. In this mode the outputs are used to control an external volume control such as the Ikon MPE-VC. The raise output is pulsed on for 200mS to increase the volume and the lower output is pulsed to reduce the volume each time the volume button is pressed. If a volume button is held down the appropriate output will pulse every 500mS until the button is released.


SPC Power

12V DC @ 30mA + external relay current. A 12V, 300mA power supply is included with the SPC panel.It is essential that the supply is connected the correct way round.


SPC Front panel operation

The operation of all the SPC panels are similar, the only difference being the absence of the data 2 button on the PSC6/4 and the absence of the volume buttons on the SPC4.

To turn the projector on.

Press the power button.

The power switch will then flash slowly indicating that the projector is warming up.

If configured for screen control the lower output will turn on for the programmed period.

If configured for lift/screen control the lower output will turn on until the projector is turned off.

During the warm up period all buttons are disabled.

Once the warm up period is complete the power button will illuminate continuously and all the buttons are enabled.

To Turn the projector off.

Press and hold the power button for 2 seconds.

The power switch will then flash quickly indicating that the projector is cooling down.

If configured for screen control the raise output will turn on for the programmed period.

If configured for lift/screen control the lower output will turn off and the raise output will turn on for the programmed period.

During the cool down period all buttons are disabled.

Once the cool down period is complete the power button will extinguish and all the projector functions will be disabled.

To select the projector source.

The Data 1, Data 2 and Video switches control the projector source.

These buttons will only operate if the appropriate RS232 serial strings have been configured.

The Video switch can be programmed to control two sources, e.g. composite and S-video, on the first press the SPC panel will select the first video source and its' LED will illuminate continuously and the second press the panel will select the second video source and its' LED will flash, on the third press the first video source is selected and the LED will illuminate continuously, fourth press will go to the second source etc.

Volume control

Mode 1 volume controlled from projector

In the mode the projector is used to control the volume of audio.

Pressing the raise volume button will cause the projector volume to increase by one step.

Pressing the lower volume button will cause the projector volume to decrease by one step.

Holding either button down will cause the panel to send a volume up/down command every 1/2 second.

For projectors which do not have a volume step up/down RS232 command the SPC can produce "analogue" control messages.

If no RS232 codes are defined for volume control then these button will be in active.

Mode 2 volume controlled from external means

In this mode the SPC panel will control volume on an external device such as the Ikon MPE-VE via the raise/lower outputs .

On pressing a volume up/down button will cause the raise/lower output to turn on for 200mS.

If the button is held down the appropriate contact will operate every 1/2 second.

In mode 2 the volume buttons can configured to control volume even when the projector is off.

Screen control when projector off (optional)

When using the outputs to control screens there is a configurable option to use the volume up/down buttons to control the screen raise/lower outputs. If selected the volume up button will raise the screen and the volume down will lower the screen.


SPC Panel Locking

The operation of the SPC panel can be locked from inadvertent or malicious operation in several ways. When locked pressing any button will cause all the button LED's to illuminate indicating that the panel is locked, no operation will take place.

The panel can be locked using an external keyswitch via the SPC panel input or via several software options configured from the lock frame in the editor.

1.Lock on front panel off, the SPC is locked after a defined period (1-255 minutes) after the projector is turned of from the front panel.

2.Lock using button sequence, the panel can be locked by using the Lock Sequence .

3.Lock after no button power down, the panel is locked after a power down caused by the no button press timeout .

4.Lock on external power down, the SPC is locked immediately after the panel is signalled to power down using the control input .

5.Lock on room empty, the SPC is locked after the defined period (1-255 minutes) after the projector is turned off because the SPC panel has detected the room is empty, using the control input .

.


SC-AMP controller/amplifier

The Ikon SC-AMP combines a cost effective, entry-level control interface for display devices and a triple input stereo amplifier.

The SC-AMP is fabricated on a standard UK two gang plate.

The front panel is provided with back lit buttons for power, input select buttons volume up down. A 3.5mm jack socket and HD15 connectors for local laptop audio and video connections. A green "Amp On" LED indicates when the amplifier is operating.

The rear of the panel provides the remaining connections for audio , RS232 , power and speakers . The front panel HD15 connector is provided with screw terminals on the rear. All active pins are available with both pin numbers and RGBHV connections highlighted. The controller features a bi-directional RS232 interface for control over the display and therefore it allows handshaking to ensure synchronisation of the devices.

To program the unit it is only necessary to download a library module for complete control over the display, although full customisation over input selection, warm up & cool down times etc is provided. The installer can also set up a four-button sequence to lock and unlock the panels operation.

The SC-AMP is supplied with a 12V power supply.

A typical application is shown below.

Specification


SC-AMP Specification

Controller

Switches: 5 switches with internal LED illumination.

RS232: Baud rate 9K6, 19K2, 38K4, 57K6 or 115K2

Data 8 bit.

1, 2 stop bits

Parity None, Odd or Even

Connectors: 10 way 3.5mm pitch screw terminals providing audio inputs and RS232 : connections.

2 way 5mm pitch screw terminals providing power connection .

4 way 5mm pitch screw terminals providing speaker connections.

3.5mm stereo jack socket for audio input.

Power: 12V DC @ 2.5A ( supplied )

Amplifier

Power Output 10W RMS* per channel into 8 Ohms

Bandwidth 20Hz to 22KHz +/- 1dB

THD & Noise <0.8%

S/N Ratio 76dB

Gain 26dBu

Coupling Input: AC; Output DC.

Minimum input for full power -6dB

Protection Integral, auto resetting, current limit

& thermal protection.

Integrated click & pop suppression.

* The EPA-41 is a class D switching amplifier so the RMS values are RMS equivalent, this is that they give the same Sound Pressure Level using music or speech from a loudspeaker as a linear amplifier delivering the quoted RMS level.


SC-AMP rear connectors

Rear connections to the SC-AMP are via a 10 way 3.5mm pitch screw terminals for audio and RS232, a 2 way 5mm screw terminal for power and a 4 way 5mm screw terminal for speaker connections.

The connections are split into five groups.

1. Rear audio inputs , providing two stereo inputs.

2. RS232 , bi-directional serial communications

3. PWR , power connection.

4. Speaker connections

5, HD15 video connection.


SC-AMP Audio

Rear connections

Three screw terminals are provided for both the PC and video inputs. Connect the two screens to the Gnd terminal and the Left and Right signal cables (centre cores) to the L & R terminal respectively.

Front connections

Connection is via a 3.5mm stereo jack, normally using pre-made cables. If you need to make your own cable then:

Ring - Right signal,

Tip - Left signal

Sleeve - Common / Screen / Ground


SC-AMP Speaker

Connect the left loudspeaker or loudspeakers to the two terminals marked L+ and L-. Connect the right loudspeaker or loudspeakers to the two terminals marked R+ and R-. The minimum load impedance in stereo is 8 Ohms per channel. The amplifier is a bridge design, there is no loudspeaker common, so each pair of loudspeaker cables MUST be connected back to the amplifier terminals. Please observe polarity for correct 'in phase' operation.


HD15 connector

The front panel HD15 connector is provided with screw terminals on the rear. All active pins are available with both pin numbers and RGBHV connections highlighted


SC-AMP Power

A 12V, 2.5A power supply is included with the SC-AMP. It is essential that the supply is connected the correct way round.


SC-AMP front panel operation

To turn the projector on.

Press the power button.

The power switch will then flash slowly indicating that the projector is warming up.

During the warm up period all buttons are disabled.

Once the warm up period is complete the power button will illuminate continuously and all the buttons are enabled.

To Turn the projector off.

Press and hold the power button for 2 seconds.

The power switch will then flash quickly indicating that the projector is cooling down.

During the cool down period all buttons are disabled.

Once the cool down period is complete the power button will extinguish and all the projector functions will be disabled.

To select the projector source.

The PC and Video switches control the projector source.

These buttons will only operate if enabled using the projector audio input frame and the appropriate RS232 serial strings have been configured.

The PC switch can be programmed to control two sources on the first press the SC-AMP panel will select the first PC source and its' LED will illuminate continuously and the second press the panel will select the second PC source and its' LED will flash, on the third press the first PC source is selected and the LED will illuminate continuously, fourth press will go to the second source etc.

Volume control

Pressing the raise volume button will cause the projector volume to increase by one step.

Pressing the lower volume button will cause the projector volume to decrease by one step.

Holding either button down will cause the panel to send a volume up/down command every 1/2 second.

Automatic amplifier control

The amplifier can be configured to turn on automatically when an audio source is inserted into the front panel jack socket and turn off if the audio is disconnected for the programmed period.


SC-AMP Panel Locking

The operation of the SC-AMP panel can be locked from inadvertent or malicious operation in several ways. When locked pressing any button will cause all the button LED's to illuminate indicating that the panel is locked, no operation will take place.

1.Lock on front panel off, the SC-AMP is locked after a defined period (1-255 minutes) after the projector is turned of from the front panel.

2.Lock using button sequence, the panel can be locked by using the Lock Sequence .

3.Lock after no button power down, the panel is locked after a power down caused by the no button press timeout .


Serial String display

Serial strings can be 1 to 32 bytes long and each byte can be displayed in

ASCII. Each byte is displayed as an ASCII character in black. If the value of the byte cannot be displayed as a character then a small black box will displayed instead.

Decimal. The the byte is displayed as a decimal value (0-255) in blue with a trailing "d".

Hexadecimal. Each byte will be displayed in hexadecimal (value 00-FF) in red with a trailing "h"

Binary. Each byte will be displayed in binary (value 00000000-11111111) in violet with a trailing "b"

Control character. Byte values 0 to 31 will be displayed as the standard ASCII control codes mnemonics in green with a trailing "c", if the byte value exceeds 31 then the byte will be displayed as "ERRORc,"

Ignore. This is special value only available in incoming serial byte (i.e. reply strings or the external off message), in this case the SPC will not look for any specific value at the location indicated but any byte received will be treated as correct. This is displayed as "Ignore" in brown.

Variable. This is a special case used in the volume control string if the "Uses levels" option is selected. The byte value located at this position is replaced with an analogue value defined in the Volume String Editor . It is displayed as "Variable" in dark brown.

A comma will be added between all bytes except between a sequence of ASCII characters.

In the Projector Setup window double clicking a serial string will open the Serial String Editor for that string.

Right clicking on a serial string will popup the serial menu.

Edit Open the Serial String Editor for that string.

Copy Will copy the serial string.

Cut Will copy and delete the serial string.

Paste Will paste the copied serial string.

Delete Will delete the serial string.

Test Will open the Serial Test window .


New Projector Manufacturer/Model window

This window is displayed when you try to save projector with the same manufacturer and model as one in the database. Ether change the manufacturer or model in the new frame then click done to save the projector configuration under the new entry. Pressing cancel will abandon the function that called this window.


Times frames

These display control the time settings for the projector, they are

1.Command delay, this is used by the SPC as the retry time for command that require resending until the projector sends a command accepted reply. It can be set between 1 and 255 mS.

2.Byte delay, this defines the delay in milli seconds between each byte sent in RS232 serial messages. This is required by some low cost projector that cannot accept back to back bytes.

3.Warm up time, this defines the projector warm up time in minutes.

4.Cool down time, this defines the projector cool down time in minutes.


SC-AMP RS232

The SC-AMP panel provides a bi-directional RS232 interface for control of the display.

Settings

Baud rate 9K6, 19K2, 38K4, 57K6 or 115K2

Data 8 bit.

1, 2 stop bits

Parity None, Odd or Even

Because the SC-AMP panel has b-directional communications it can be used to control projectors that require a serial message to be continuously resent until the projector sends and appropriate command accepted reply. It also allow the SC-AMP panel to respond to a projector powering down due to the projectors timeout.